#include <windows.h>
#include <stdio.h>
#include <jni.h>
#define MAIN_CLASS  "HalloGUI"
int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
  JNIEnv*        env;
  JavaVM*        jvm;
  JDK1_1InitArgs vmargs;
  jint           rc;
  jclass         cls;
  jmethodID      mainId;
  /* CLASSPATH environment variable setting */
  char* szClasspath = getenv( "CLASSPATH" );
  vmargs.version = 0x00010001;  /* version 1.1 */
  JNI_GetDefaultJavaVMInitArgs( &vmargs ); /* init vmargs */
  /* classpath von JNI_GetDefaultJavaVMInitArgs ist falsch */
  vmargs.classpath = szClasspath;
  rc = JNI_CreateJavaVM( &jvm, &env, &vmargs );  /* kreiere JVM */
  if( rc &lt; 0 )
    return 1;
  /* laden der Klasse mit static main() Methode */
  cls = (*env)->FindClass( env, MAIN_CLASS );
  if( cls == 0 )
    return 1;
  /* main() Methode */
  mainId = (*env)->GetStaticMethodID(env, cls, "main", "([Ljava/lang/String;)V");
  if( mainId == 0 )
    return 1; /* error */
  (*env)->CallStaticVoidMethod(env, cls, mainId, 0); /* call main() */
  (*jvm)->DestroyJavaVM( jvm ); /* kille die JVM */
  return 0;
}
