#include <windows.h>
#include <stdio.h>
#include <jni.h>
#define MAIN_CLASS  "HalloDuDa"
int main( int argc, char** argv )
{
  JNIEnv*        env;
  JavaVM*        jvm;
  JDK1_1InitArgs vmargs;
  jint           rc;
  jclass         cls;
  jmethodID      mainId;
  /* CLASSPATH environment variable bestimmen */
  char* szClasspath = getenv( "CLASSPATH" );
  vmargs.version = 0x00010001;  /* version 1.1 */
  JNI_GetDefaultJavaVMInitArgs( &vmargs );  /* init vmargs */
  /* classpath von JNI_GetDefaultJavaVMInitArgs ist falsch */
  vmargs.classpath = szClasspath;
  rc = JNI_CreateJavaVM( &jvm, &env, &vmargs );  /*  JVM kreieren*/
  if( rc < 0 )
  {
    printf("Kreieren der JVM schlug fehl\n");
    return 1;
  }
  /* laden der Klasse mit static main() Methode */
  cls = (*env)->FindClass( env, MAIN_CLASS );
  if( cls == 0 )
  {
    printf( "Die folgende Klasse konnte nicht gefunden werden %s\n", MAIN_CLASS );
    return 1;
  }
  /*  main() Methode suchen */
  mainId = (*env)->GetStaticMethodID(env, cls, "main", "([Ljava/lang/String;)V");
  if( mainId == 0 )
  {
    printf( "Die Methode main() wurde nicht gefunden\n" );
    return 1; /* error */
  }
  (*env)->CallStaticVoidMethod(env, cls, mainId, 0); /* call main() */
  (*jvm)->DestroyJavaVM( jvm );  /* kill JVM */
  return 0;
}
