
//Titel:        Swing Applikation
//Version:      
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  einfache Swing Applikation:
//- Button
//- Ereignissteuerung
//- Textlabel
//- dynamisches Updaten des Textes
package SwingBeispiel;

import javax.swing.*;          //Package Name ab Java 2
	                               
import java.awt.*;
import java.awt.event.*;

public class SwingApplikation {
    private static String labelPrefix = "Anzahl Clicks: ";
    private int numClicks = 0;

    public Component createComponents() {
        final JLabel label = new JLabel(labelPrefix + "0    ");

        JButton button = new JButton("Das ist ein Swing Button!");
        button.setMnemonic(KeyEvent.VK_I);
        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numClicks++;// Anzahl Mausklicks
                label.setText(labelPrefix + numClicks);
            }
        });
        label.setLabelFor(button);

        /*
         * Schaffen eines dnnen Rahmens :
         * JPanel +  "leerer" Rand.
         */
        JPanel pane = new JPanel();
        pane.setBorder(BorderFactory.createEmptyBorder(
                                        30, //top
                                        30, //left
                                        10, //bottom
                                        30) //right
                                        );
        pane.setLayout(new GridLayout(0, 1));
        pane.add(button);
        pane.add(label);

        return pane;
    }

    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel(
                UIManager.getCrossPlatformLookAndFeelClassName());
        } catch (Exception e) { }

        //Definition des top-level Container und Hinzufgen weiterer Bestandteile.
        JFrame frame = new JFrame("Swing Beispiel");
        SwingApplikation app = new SwingApplikation();
        Component contents = app.createComponents();
        frame.getContentPane().add(contents, BorderLayout.CENTER);

        //Frame Aufbau abschliessen und anzeigen
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);//schliessen vom Fenster enablen
            }
        });
        frame.pack();						// optimiert den Layout
        frame.setVisible(true); // na ja
    }
}